com.verisign.epp.exception

## Class EPPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    EnvException, EPPAssemblerException, EPPCodecException, EPPCommandException, EPPConException, EPPEnvException, EPPEventException, EPPHandleEventException, EPPLogException, EPPParserException, EPPPollQueueException

      public class EPPException
      extends java.lang.Exception

  Represents the base class for all EPP package exceptions.
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPException(java.lang.String info)` Constructor for `EPPException` that requires a info `String` description.
    `EPPException(java.lang.String info, java.lang.Throwable cause)` Constructor for `EPPException` that requires a info `String` description and a cause `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPException

          public EPPException(java.lang.String info)

      Constructor for `EPPException` that requires a info `String` description.
      Parameters:
        `info` - text description

    - #### EPPException

          public EPPException(java.lang.String info,
                              java.lang.Throwable cause)

      Constructor for `EPPException` that requires a info `String` description and a cause `Throwable`.
      Parameters:
        `info` - text description

Copyright © VeriSign Inc. All Rights Reserved.